<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>
        <composite:attribute name="styleClass"/>
    </composite:interface>

    <composite:implementation>
        <div id="#{cc.clientId}" class="#{cc.attrs.styleClass}">
            <composite:insertChildren/>
        </div>
    </composite:implementation>
</html>